UTF-8
Content-Disposition: inline; filename="b9ffdc5febfb0835e419ca9c98315a89d8be4258..d099acbaf1525aae135fffcbddca1542c19167d7.patch"
Last-Modified: Sun, 02 Feb 2025 14:03:09 GMT
Expires: Wed, 31 Jan 2035 14:03:09 GMT

From d099acbaf1525aae135fffcbddca1542c19167d7 Mon Sep 17 00:00:00 2001
From: "berkeviktor@aol.com" <berkeviktor@aol.com>
Date: Wed, 11 Aug 2010 05:49:33 +0200
Subject: enable the python interface

---
 build/release-x86.bat | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'build/release-x86.bat')

diff --git a/build/release-x86.bat b/build/release-x86.bat
index e64faef3..60df930c 100644
--- a/build/release-x86.bat
+++ b/build/release-x86.bat
@@ -36,7 +36,7 @@ xcopy %SSL_BIN%\ssleay32.dll %XCHAT_DEST%
 ::xcopy /S /I ..\plugins\dns\xcdns.dll %XCHAT_DEST%\plugins\
 xcopy /S /I ..\plugins\ewc\xcewc.dll %XCHAT_DEST%\plugins\
 xcopy /S /I ..\plugins\perl\xcperl.dll %XCHAT_DEST%\plugins\
-::xcopy /S /I ..\plugins\python\xcpython.dll %XCHAT_DEST%\plugins\
+xcopy /S /I ..\plugins\python\xcpython.dll %XCHAT_DEST%\plugins\
 xcopy /S /I ..\plugins\tcl\xctcl.dll %XCHAT_DEST%\plugins\
 ::xcopy /S /I ..\plugins\xtray\xtray.dll %XCHAT_DEST%\plugins\
 xcopy /S /I ..\po\locale %XCHAT_DEST%\locale
-- 
cgit 1.4.1

>
<option value='default'>default</option>
<option value='fe-web'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc' selected='selected'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=feature/tor-i2p-dcc'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>refs</a> <a href='/git-repos/torxchat.git/log/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc'>log</a> <a class='active' href='/git-repos/torxchat.git/blame/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>blame</a> <a href='/git-repos/torxchat.git/commit/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>commit</a> <a href='/git-repos/torxchat.git/diff/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>diff</a> <a href='/git-repos/torxchat.git/stats/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/ext/libxml-wdk/libxml-wdk.patch'>
<input type='hidden' name='h' value='feature/tor-i2p-dcc'/><input type='hidden' name='id' value='69bec802b482b35a243424655b4f77de2ac31409'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/blame/?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>root</a>/<a href='/git-repos/torxchat.git/blame/ext?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>ext</a>/<a href='/git-repos/torxchat.git/blame/ext/libxml-wdk?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>libxml-wdk</a>/<a href='/git-repos/torxchat.git/blame/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>libxml-wdk.patch</a></div><div class='content'>blob: fa8979b2857e7963247b7df9d7dd999435db3155 (<a href='/git-repos/torxchat.git/plain/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>plain</a>) (<a href='/git-repos/torxchat.git/tree/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=69bec802b482b35a243424655b4f77de2ac31409'>tree</a>)
<table class='blame blob'>
<tr>
<td class='hashes'><div class='alt'><pre><span class='oid'><a title='author  berkeviktor@aol.com &lt;berkeviktor@aol.com&gt;  2011-08-07 09:34:18 +0200
committer  berkeviktor@aol.com &lt;berkeviktor@aol.com&gt;  2011-08-07 09:34:18 +0200

add libxml-wdk support files' href='/git-repos/torxchat.git/commit/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=518271bd4cb92dcd4d760317395729806ac38e77'>518271bd</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/ext/libxml-wdk/libxml-wdk.patch?h=feature/tor-i2p-dcc&amp;id=08ce6280df217b0a9673c2b91b5400bea45387c9'>^</a>
























































</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>
























































                                                                                                      </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="gh">diff -ruN --strip-trailing-cr libxml2-2.7.8.orig/libxml.h libxml2-2.7.8/libxml.h</span>
<span class="gd">--- libxml2-2.7.8.orig/libxml.h	2010-10-12 08:25:32 +0200</span>
<span class="gi">+++ libxml2-2.7.8/libxml.h	2011-08-07 09:12:07 +0200</span>
<span class="gu">@@ -94,3 +94,7 @@</span>
<span class="w"> </span>#  define LIBXML_STATIC
<span class="w"> </span>#endif
<span class="w"> </span>#endif /* ! __XML_LIBXML_H__ */
<span class="gi">+</span>
<span class="gi">+#ifndef vsnprintf</span>
<span class="gi">+#define vsnprintf _vsnprintf</span>
<span class="gi">+#endif</span>
<span class="gh">diff -ruN --strip-trailing-cr libxml2-2.7.8.orig/win32/Makefile.msvc libxml2-2.7.8/win32/Makefile.msvc</span>
<span class="gd">--- libxml2-2.7.8.orig/win32/Makefile.msvc	2010-11-04 14:58:44 +0100</span>
<span class="gi">+++ libxml2-2.7.8/win32/Makefile.msvc	2011-08-07 09:23:47 +0200</span>
<span class="gu">@@ -58,12 +58,20 @@</span>
<span class="w"> </span>!if &quot;$(WITH_ZLIB)&quot; == &quot;1&quot;
<span class="w"> </span>CFLAGS = $(CFLAGS) /D &quot;HAVE_ZLIB_H&quot;
<span class="w"> </span>!endif
<span class="gd">-CFLAGS = $(CFLAGS) /D_CRT_SECURE_NO_DEPRECATE /D_CRT_NONSTDC_NO_DEPRECATE</span>
<span class="gi">+CFLAGS = $(CFLAGS)</span>
<span class="w"> </span>
<span class="w"> </span># The linker and its options.
<span class="w"> </span>LD = link.exe
<span class="w"> </span>LDFLAGS = /nologo /VERSION:$(LIBXML_MAJOR_VERSION).$(LIBXML_MINOR_VERSION)
<span class="w"> </span>LDFLAGS = $(LDFLAGS) /LIBPATH:$(BINDIR) /LIBPATH:$(LIBPREFIX)
<span class="gi">+</span>
<span class="gi">+!ifdef X64</span>
<span class="gi">+CFLAGS = $(CFLAGS) /favor:AMD64</span>
<span class="gi">+LDFLAGS = $(LDFLAGS) msvcrt_win2003.obj</span>
<span class="gi">+!else</span>
<span class="gi">+LDFLAGS = $(LDFLAGS) msvcrt_winxp.obj</span>
<span class="gi">+!endif</span>
<span class="gi">+</span>
<span class="w"> </span>LIBS =
<span class="w"> </span>!if &quot;$(WITH_FTP)&quot; == &quot;1&quot; || &quot;$(WITH_HTTP)&quot; == &quot;1&quot;
<span class="w"> </span>LIBS = $(LIBS) wsock32.lib ws2_32.lib
<span class="gu">@@ -71,9 +79,9 @@</span>
<span class="w"> </span>!if &quot;$(WITH_ICONV)&quot; == &quot;1&quot;
<span class="w"> </span>LIBS = $(LIBS) iconv.lib
<span class="w"> </span>!endif 
<span class="gd">-+!if &quot;$(WITH_ICU)&quot; == &quot;1&quot;</span>
<span class="gi">+!if &quot;$(WITH_ICU)&quot; == &quot;1&quot;</span>
<span class="w"> </span>+LIBS = $(LIBS) icu.lib
<span class="gd">-+!endif</span>
<span class="gi">+!endif</span>
<span class="w"> </span>!if &quot;$(WITH_ZLIB)&quot; == &quot;1&quot;
<span class="w"> </span>LIBS = $(LIBS) zdll.lib
<span class="w"> </span>!endif
<span class="gu">@@ -94,7 +102,7 @@</span>
<span class="w"> </span>LDFLAGS = $(LDFLAGS) /DEBUG
<span class="w"> </span>!else
<span class="w"> </span>CFLAGS = $(CFLAGS) /D &quot;NDEBUG&quot; /O2 
<span class="gd">-LDFLAGS = $(LDFLAGS) /OPT:NOWIN98</span>
<span class="gi">+LDFLAGS = $(LDFLAGS)</span>
<span class="w"> </span>!endif
<span class="w"> </span>
<span class="w"> </span># Libxml object files.
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-02-02 14:03:09 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
